#if !defined(AFX_DLGDDNS_H__1BE54F43_02D2_430C_8D9B_7DB48D34D593__INCLUDED_)
#define AFX_DLGDDNS_H__1BE54F43_02D2_430C_8D9B_7DB48D34D593__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgDdns.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgDdns dialog

class CDlgDdns : public CDialog
{
// Construction
public:
	CDlgDdns(CWnd* pParent = NULL);   // standard constructor
	LONG m_nUserId;
// Dialog Data
	//{{AFX_DATA(CDlgDdns)
	enum { IDD = IDD_DLG_DDNS };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgDdns)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
private:
	BOOL OnBtnGetDdsn();
	BOOL OnBtnSetDdns();

	char m_sTempMac[32];
	char m_sTempHostName[32]; // ×÷Îª»º´æ±äÁ¿
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgDdns)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelchangeServerProvider();
	afx_msg void OnChkDdnsEnable();
	afx_msg void OnChkEasyDdns();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGDDNS_H__1BE54F43_02D2_430C_8D9B_7DB48D34D593__INCLUDED_)
